require ('middleclass')
require ('Player')



-- Our example class
local TitleScreen = {}
loader = require("AdvTiledLoader.Loader")
loader.path = "maps/"
map = loader.load("TitleScreen.tmx")
local layer = map.tl["Ground"]

--local Guy = map.ol["Object1"]:newObject("Guy", "Entity", 0,0,32,32)



-- Resets the example
function TitleScreen.reset()
	
	global.layer = layer --this is to  set map to a global var 

	global.mapWidth =  map.width * 32	
	global.mapHeight = map.height* 32	
	
	--player.Location(global.startTileX ,global.startTileY ,"down")
	
end

function TitleScreen.setCameraWindow(x, y)
	if x >= love.graphics.getWidth()/2 then
		
		if (x + love.graphics.getWidth()/2) * -1 <= -global.mapWidth  +love.graphics.getWidth() then
			global.tx = -global.mapWidth + love.graphics.getWidth()
		else
			global.tx = (x + love.graphics.getWidth()/2) * -1
		end
	else
	 	global.tx = 0
	end
	
	if y >= love.graphics.getHeight()/2 then
		
		if (y + love.graphics.getHeight()/2) * -1 <= -global.mapHeight  +love.graphics.getHeight() then
			global.ty = -global.mapHeight + love.graphics.getHeight()
		else
			global.ty = (y + love.graphics.getHeight()/2) * -1
		end
	else
	 	global.ty = 0
	end
end

--function checks if the player hits any objects
function TitleScreen.checkTile(x,y)
	

	
end


-- Update the display time for the character control instructions
function TitleScreen.update(dt)
	
	--this is so the player stays in the render view
--	Guy:moveTo(player.getX(), player.getY())

end



-- Called from love.draw()
function TitleScreen.draw()
	
	-- Set sprite batches if they are different than the settings.
	map.useSpriteBatch = global.useBatch

	-- Scale and translate the game screen for map drawing
	local ftx, fty = math.floor(global.tx), math.floor(global.ty)
	love.graphics.push()
	
	love.graphics.scale(global.scale)
	
	love.graphics.translate(ftx, fty)

	-- Limit the draw range 
	if global.limitDrawing then 
		map:autoDrawRange(ftx, fty, global.scale, -100) 
	else 
		map:autoDrawRange(ftx, fty, global.scale, 50) 
	end
	
	map:draw() 
		
	-- Reset the scale and translation.
	love.graphics.pop()
end

return TitleScreen